#ifndef BASE_IMAGE_JPEG_H
#define BASE_IMAGE_JPEG_H

#include "image.h"

class ImageLoadJPEG : public ImageLoader {
	virtual const char *name(void) { return "ImageLoadJPEG"; }
	virtual Image *load(const char *filename, const char *fileExt);
	
#ifndef WIN32
	//special-case for this loader
	//useful when you download a jpeg and dont want to save it to disk to load it again
	Image *loadFromMemory(const char *buffer, size_t size);
#endif
};
extern ImageLoadJPEG imageLoadJPEG;

#endif //BASE_IMAGE_JPEG_H